Subject: build log filter broken by odd characters in build output

From: Ricardo Wurmus <[email-masked]>
Date: Sun, 30 Oct 2022 00:20:58 +0200

Here I am, minding my own business, building GHC 6.10.4 with GHC 6.6 and
I see this in the build output:

--8<---------------cut here---------------start------------->8---
/gnu/store/km47738v7q4qgym9zkggngqxr05q165h-ghc-6.6/bin/ghc -#include cutils.h -DSTAGE=1 -package-name ghc-6.10.4 -hide-all-packages -no-user-package-conf -package-conf /tmp/guix-build-ghc-6.10.4.drv-0/ghc-6.10.4/libraries/bootstrapping.conf -i -idist-stage1/build -inativeGen -ibasicTypes -icmm -icodeGen -icoreSyn -icprAnalysis -ideSugar -ighci -ihsSyn -iiface -imain -iparser -iprelude -iprofiling -irename -isimplCore -isimplStg -ispecialise -istgSyn -istranal -itypecheck -itypes -iutils -ivectorise -idist-stage1/build/autogen -Idist-stage1/build/autogen -Idist-stage1/build -Istage1 -I../libraries/base/cbits -I../libraries/base/include -I. -Iparser -Iutils -optP-include -optPdist-stage1/build/autogen/cabal_macros.h -odir dist-stage1/build -hidir dist-stage1/build -package Cabal-1.6.0.3 -package base-2.0 -package extensible-exceptions-0.1.1.0 -package filepath-1.1.0.2 -package haskell98-1.0 -package hpc-0.5.0.3 -package unix-1.0 -O -Wall -fno-warn-name-shadowing -fno-warn-orphans -fglasgow-exts -cpp -fffi -fscoped-type-variables -idist-stage1/build  -H32m -O -Rghc-timing   -c nativeGen/MachCodeGen.hs -o dist-stage1/build/MachCodeGen.o  -ohi dist-stage1/build/MachCodeGen.hi
/tmp/guix-build-ghc-6.10.4.drv-0/ghc7957_0/ghc7957_0.hc: In function ���@ build-log 17895 2
��@ build-log 17895 2
sb@ build-log 17895 3
ZI_@ build-log 17895 2
0_@ build-log 17895 2
al@ build-log 17895 2
t�@ build-log 17895 2
��@ build-log 17895 2
:

/tmp/guix-build-ghc-6.10.4.drv-0/ghc7957_0/ghc7957_0.hc:2881:1:
     warning: implicit declaration of function ‘stg_intToInt64’ [-Wimplicit-function-declaration]
     _s9Fa = (StgWord64)stg_intToInt64((I_)_cc02);
     ^

/tmp/guix-build-ghc-6.10.4.drv-0/ghc7957_0/ghc7957_0.hc:2884:1:
     warning: implicit declaration of function ‘stg_negateInt64’ [-Wimplicit-function-declaration]
     _s9Ff = (StgWord64)stg_negateInt64((StgInt64)_s9Fa);
     ^
/tmp/guix-build-ghc-6.10.4.drv-0/ghc7957_0/ghc7957_0.hc: In function ‘sbZI_1_alt’:

/tmp/guix-build-ghc-6.10.4.drv-0/ghc7957_0/ghc7957_0.hc:2910:1:
     warning: implicit declaration of function ���@ build-log 17895 1
�@ build-log 17895 1
�@ build-log 17895 1
s@ build-log 17895 1
t@ build-log 17895 1
g@ build-log 17895 1
_@ build-log 17895 1
i@ build-log 17895 1
n@ build-log 17895 1
t@ build-log 17895 1
e@ build-log 17895 1
g@ build-log 17895 1
e@ build-log 17895 1
r@ build-log 17895 1
T@ build-log 17895 1
o@ build-log 17895 1
I@ build-log 17895 1
n@ build-log 17895 1
t@ build-log 17895 1
6@ build-log 17895 1
4@ build-log 17895 1
�@ build-log 17895 1
�@ build-log 17895 1
�@ build-log 17895 1
 @ build-log 17895 1
[@ build-log 17895 1
-@ build-log 17895 1
W@ build-log 17895 1
i@ build-log 17895 1
m@ build-log 17895 1
p@ build-log 17895 1
l@ build-log 17895 1
i@ build-log 17895 1
c@ build-log 17895 1
i@ build-log 17895 1
t@ build-log 17895 1
-@ build-log 17895 1
f@ build-log 17895 1
u@ build-log 17895 1
n@ build-log 17895 1
c@ build-log 17895 1
t@ build-log 17895 1
i@ build-log 17895 1
o@ build-log 17895 1
n@ build-log 17895 1
-@ build-log 17895 1
d@ build-log 17895 1
e@ build-log 17895 1
c@ build-log 17895 1
l@ build-log 17895 1
a@ build-log 17895 1
r@ build-log 17895 1
a@ build-log 17895 1
t@ build-log 17895 1
i@ build-log 17895 1
o@ build-log 17895 1
n@ build-log 17895 1
]@ build-log 17895 1

     _s9Fq = (StgWord64)stg_integerToInt64((I_)_cc0a, (void *)_cc09);
     ^
--8<---------------cut here---------------end--------------->8---

Whatever this “���” is, it seems to have escaped the build log filter.

-- 
Ricardo